/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


/* MEDIA QUERIES */

@media (max-width: 768px) {
    /* CSS in here for mobile only */
}
@media (min-width: 769px) and (max-width: 1024px) {
    /* CSS in here for tablet only */
}
@media (min-width: 1025px) {
    /* CSS in here for desktop only */
}


/*=====================================================================
GENERAL
======================================================================*/

.bg-blended{
	background-blend-mode: multiply;
}

.no-underline, .no-underline a{
	text-decoration:none;
}

.gb-block-image figcaption{
	margin-top:1rem;
}

/* DISPLAY MESSAGE IF QUERY BLOCK IS EMPTY */
.has-no-post-message .gb-query-loop-wrapper:not(:empty) + .no-post-message {
	display: none;
}

/* PASSWORD PROTECTED PAGE */
.post-password-form {
    max-width: 800px;
    text-align: center;
    margin: 80px auto;
	padding:2rem;
	background:#f1f1f1;
}

.post-password-form #pwbox-1846{
	background-color:#fff;
}


/*=====================================================================
HEADER / NAV STYLES / NAVIGATION
======================================================================*/

.nav-float-right .navigation-stick{
	padding: 0.75rem 2.5rem;
}

.site-header{
	box-shadow: 0 2px 2px -2px rgba(0, 0, 0, .2);
}

.mobile-menu-control-wrapper .menu-toggle, 
.main-navigation.has-branding .menu-toggle, .main-navigation.has-sticky-branding.navigation-stick .menu-toggle {
	background-color: #fff;
	border:1px solid rgba(37, 59, 111, 0.5);
	border-radius:16px 8px;
}

.site-header .header-image

@media (min-width: 769px) and (max-width: 1024px) {
    /* CSS in here for tablet only */
}
@media (max-width: 768px) {
	.site-header .header-image{
		width:125px;
	}
	.menu-toggle{
		line-height:40px;
	}
	.main-navigation.has-branding .menu-toggle, .main-navigation.has-sticky-branding.navigation-stick .menu-toggle{
		line-height:35px;
		margin-right:0.5rem;
	}
	.nav-float-right .navigation-stick{
		padding:0;
	}
}

/*===================
GP MEGA MENU
===================*/

@media (min-width: 768px){
    nav .main-nav .mega-menu {
        position: static;
    }

    nav .main-nav .mega-menu > ul {
        position: absolute;
        width: 100%;
        left: 0 !important;
        display: flex;
        flex-wrap: wrap;
    }

    /*nav .main-nav .mega-menu > ul > li > a {
        font-weight: 600;
    }*/

    nav .main-nav .mega-menu>ul>li {
        display: inline-block;
        width: 25%;
        vertical-align: top;
    }

    nav .main-nav .mega-menu.mega-menu-col-2>ul>li {
        width: 50%;
    }

    nav .main-nav .mega-menu.mega-menu-col-3>ul>li {
        width: 33.3333%;
    }

    nav .main-nav .mega-menu.mega-menu-col-5>ul>li {
        width: 20%;
    }

    /*nav .main-nav .mega-menu > ul > li:hover > a,
    nav .main-nav .mega-menu > ul > li:focus > a,
    nav .main-nav .mega-menu > ul > li[class*="current-"] > a,
    nav .main-nav .mega-menu ul ul {
        background-color: transparent !important;
        color: inherit;
    }*/

    nav .main-nav .mega-menu ul .sub-menu {
        position: static;
        display: block;
        opacity: 1;
        visibility: visible;
        width: 100%;
        box-shadow: 0 0 0;
        left: 0;
        height: auto;
        pointer-events: auto;
        transform: scale(1);
    }

    nav .main-nav .mega-menu ul.toggled-on .sub-menu {
        pointer-events: auto;
    }

    nav .main-nav .mega-menu .sub-menu .menu-item-has-children .dropdown-menu-toggle {
        display: none;
    }
	
	nav .main-nav .mega-menu > .sub-menu{
		padding:20px;
		max-width:800px;
	}
	
	nav .main-nav .mega-menu > .sub-menu > li{
		border:0;
	}
	
	/*nav .main-nav .mega-menu > .sub-menu > li:hover > a,
	nav .main-nav .mega-menu > ul > li[class*="current-"]{
		color:#fff!important;
	}*/
	
	nav .main-nav .mega-menu .sub-menu .sub-menu{
		border:0;
		box-shadow:none!important;
	}
	
	nav .main-nav .mega-menu .sub-menu .sub-menu li{
		border:0;
	}
	
	nav .main-nav .mega-menu .sub-menu li a{
		display:flex;
	}
	
	nav .main-nav .mega-menu .sub-menu li a:before{
		content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' height='1em' viewBox='0 0 320 512'%3E%3Cpath fill='%23447ec0' d='M310.6 233.4c12.5 12.5 12.5 32.8 0 45.3l-192 192c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3L242.7 256 73.4 86.6c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0l192 192z'/%3E%3C/svg%3E");
		display: block;
		transform: scale(0.6);
		margin:2px 15px 0 0;
	}
	
	nav .main-nav .mega-menu ul li a{
		padding:10px 20px;
	}
}


/*=====================================================================
BUTTONS
======================================================================*/


/*=====================================================================
PAGE CONTENT STYLING
======================================================================*/
.entry-content ul,
.entry-content ol {
    padding: 30px 30px 30px 30px;
    background: var(--grey-blue-light);
    margin-left: 0;
    border-radius: 10px;
}

.entry-content ul li,
.entry-content ol li {
    margin-bottom: 15px;
    font-weight: 500;
}

.entry-content ul li:last-child,
.entry-content ol li:last-child {
    margin-bottom: 0;
}

.entry-content ul li {
    background: url("data:image/svg+xml,%3Csvg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='16' height='16' viewBox='0 0 16 16'%3E%3Cpath fill='%239da4a6' d='M9.707 13.707l5-5c0.391-0.39 0.391-1.024 0-1.414l-5-5c-0.391-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l3.293 3.293h-9.586c-0.552 0-1 0.448-1 1s0.448 1 1 1h9.586l-3.293 3.293c-0.195 0.195-0.293 0.451-0.293 0.707s0.098 0.512 0.293 0.707c0.391 0.391 1.024 0.391 1.414 0z'%3E%3C/path%3E%3C/svg%3E%0A") no-repeat left 6px;
    list-style-type: none;
    padding-left: 40px;
    background-size: 16px auto;
}

.entry-content ul li ul {
    padding: 15px 0 0 0;
}

.entry-content ul li ul li {
    /*background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='%239da4a6' d='M416 208H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32v-32c0-17.67-14.33-32-32-32z'/%3E%3C/svg%3E") no-repeat left 6px;*/
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%239da4a6' viewBox='0 0 448 512'%3E%3Cpath d='M416 208H272V64c0-17.67-14.33-32-32-32h-32c-17.67 0-32 14.33-32 32v144H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h144v144c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V304h144c17.67 0 32-14.33 32-32v-32c0-17.67-14.33-32-32-32z'/%3E%3C/svg%3E") no-repeat left 6px;
    background-size: 12px auto;
    padding-left: 35px;
}

/*=====================================================================
BLOG STYLING & BLOG CONTENT STYLING
======================================================================*/

.single-post article h2, 
.single-post article h3, 
.single-post article h4{
	margin-top:3.5rem;
	margin-bottom:2rem;
	padding-bottom:1rem;
}

.single-post article h2:after{
	content:"";
	display:block;
	background-color: var(--primary);
	height:6px;
	width:100px;
	margin-top:2rem;
}

.single-post article h2{
	padding-bottom:2rem;
	margin-bottom:1rem;
}

.single-post article h3, 
.single-post article h4{
	margin-top:3rem;
	margin-bottom:1rem;
	border-bottom:0;
}

.single-post article ul li{
    background: url("data:image/svg+xml,%3Csvg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='16' height='16' viewBox='0 0 16 16'%3E%3Cpath fill='%239da4a6' d='M9.707 13.707l5-5c0.391-0.39 0.391-1.024 0-1.414l-5-5c-0.391-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l3.293 3.293h-9.586c-0.552 0-1 0.448-1 1s0.448 1 1 1h9.586l-3.293 3.293c-0.195 0.195-0.293 0.451-0.293 0.707s0.098 0.512 0.293 0.707c0.391 0.391 1.024 0.391 1.414 0z'%3E%3C/path%3E%3C/svg%3E%0A") no-repeat left 6px;
    list-style-type: none;
    padding-left: 40px;
    background-size: 16px auto;
}

.single-post article ul li:last-child, 
.single-post article ol li:last-child{
	margin-bottom:0;
	padding-bottom:0;
}

.single-post article ul,
.single-post article ol{
    padding: 30px 30px 30px 30px;
    background: #f9f9f9;
    margin-left: 0;
    border-radius: 10px;
}

.single-post article ul > li{
	margin-bottom:1rem;
}

.single-post article ul, 
.single-post article ol{
	padding-left:1rem;
	margin-left:0;
}

.single-post article ol{
	padding-left:2.5rem;
}

.single-post article ol li{
	margin-bottom:1.5rem;
	padding-left:2rem;
}

/* RANK MATH BREADCRUMBS */

.single-post article .rank-math-breadcrumb a{
	font-weight:bold;
	color:var(--primary);
}
.single-post article .rank-math-breadcrumb .last{
	color: var(--paragraph);
}

.rank-math-breadcrumb{
    border: 1px solid rgba(255, 255, 255, 0.2);
    padding: 10px 20px;
    display: inline-block;
	border-radius:8px;
	background-color:rgba(255,255,255,0.1);
	margin-bottom:2rem;
}

.rank-math-breadcrumb p{
    margin-bottom:0;
}

.rank-math-breadcrumb .separator{
    color:#fff;
}

.rank-math-breadcrumb a{
    font-weight: 600;
    text-decoration: none;
    border-bottom: 1px solid rgba(255, 255, 255, 0.4);
	color:#fff;
}

.rank-math-breadcrumb a:hover{
    color:#fff;
}

/* RANK MATH TOC */

.single-post article #rank-math-toc ul {
	background-color: var(--lighter-green);
}

.single-post article #rank-math-toc ul ul {
	padding-top:1rem;
	padding-bottom:0;
	padding-left:0;
}
	
.single-post article #rank-math-toc ul ul li{
	background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='%239da4a6' d='M248 72V48H200V72 232H40 16v48H40 200V440v24h48V440 280H408h24V232H408 248V72z'/%3E%3C/svg%3E") no-repeat left 6px;
	background-size: 16px auto;
}

/* RANK MATH FAQ BLOG */

.single-post article .rank-math-list-item{
	padding:2rem;
	border:1px solid #ccc;
	margin-bottom:1rem;
	border-radius:8px;
}

.single-post article .rank-math-list-item h3{
	margin-top:0;
	padding-top:0;
}

.single-post article .rank-math-list-item:last-child{
	margin-bottom:0;
}

/*=====================================================================
FOOTER
======================================================================*/

/* FIXED CTA ON MOBILE */
.footer-cta {
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 9;
}

.site-footer ul.menu li{
	display:block;
	margin-bottom:0.75rem;
}

.site-footer ul.menu li a{
	color:var(--primary);
	text-decoration:none;
	border-bottom:1px dashed var(--accent);
}

.site-footer ul.menu li a:hover,
.site-footer ul.menu li a:focus{
	color:var(--accent);
}

/*=====================================================================
PLUGINS
======================================================================*/

/*===================
GRAVITY FORMS
===================*/


/*===================
YOAST SEO
===================*/

.yoast-breadcrumbs {
    color: #000;
}

.yoast-breadcrumbs a {
    opacity: 0.5;
}

.yoast-breadcrumbs a:hover,
.yoast-breadcrumbs a:focus {
    color: #000;
    opacity: 0.8;
}

.schema-faq-section {
    border: 1px solid #ccc;
    padding: 30px;
    background: rgba(240, 242, 249, 0.4);
    margin-bottom: 1.4em;
    border-radius: 10px;
}

.schema-faq-section .schema-faq-question {
    font-size: 1.2em;
    margin-bottom: 1em;
    display: block;
    font-weight: 600;
}

.schema-faq-section p.schema-faq-answer:last-child {
    margin-bottom: 0;
}

/*===================
RANK MATH FAQ
===================*/

.rank-math-list-item h3{
	font-size:1.25rem;
}

.rank-math-list .rank-math-list-item:first-child h3{
	margin-top:0!important;
	padding-top:0!important;
}

/*===================
RANK MATH BREADCRUMBS
===================*/

.rank-math-breadcrumb{
	font-size:0.85rem;
}

.rank-math-breadcrumb .last{
	color:rgba(255,255,255,0.7);
}

/*===================
INFINITE SCROLL
===================*/

/* DISPLAYS MESSAGE WHEN ALL POSTS HAVE BEEN LOADED */
.page-load-status {
  opacity: 0; /* hidden by default */
  padding-top: 20px;
  border-top: 1px solid #DDD;
  text-align: center;
  color: #777;
}

/* LOADING ANIMATION 1 */
.loader-ellips {
  font-size: 20px; /* change size here */
  position: relative;
  width: 4em;
  height: 1em;
  margin: 10px auto;
}

.loader-ellips__dot {
  display: block;
  width: 1em;
  height: 1em;
  border-radius: 0.5em;
  background: #555; /* change color here */
  position: absolute;
  animation-duration: 0.5s;
  animation-timing-function: ease;
  animation-iteration-count: infinite;
}

.loader-ellips__dot:nth-child(1),
.loader-ellips__dot:nth-child(2) {
  left: 0;
}
.loader-ellips__dot:nth-child(3) { left: 1.5em; }
.loader-ellips__dot:nth-child(4) { left: 3em; }

@keyframes reveal {
  from { transform: scale(0.001); }
  to { transform: scale(1); }
}

@keyframes slide {
  to { transform: translateX(1.5em) }
}

.loader-ellips__dot:nth-child(1) {
  animation-name: reveal;
}

.loader-ellips__dot:nth-child(2),
.loader-ellips__dot:nth-child(3) {
  animation-name: slide;
}

.loader-ellips__dot:nth-child(4) {
  animation-name: reveal;
  animation-direction: reverse;
}

/* LOADING ANIMATION 2 */
/* HTML: <div class="loader"></div> */

.loader{
	margin:20px auto 0 auto;
}

.loader {
  width: 45px;
  aspect-ratio: .75;
  --c: no-repeat linear-gradient(var(--accent) 0 0);
  background: 
    var(--c) 0%   50%,
    var(--c) 50%  50%,
    var(--c) 100% 50%;
  animation: l7 1s infinite linear alternate;
}

@keyframes l7 {
  0%  {background-size: 20% 50% ,20% 50% ,20% 50% }
  20% {background-size: 20% 20% ,20% 50% ,20% 50% }
  40% {background-size: 20% 100%,20% 20% ,20% 50% }
  60% {background-size: 20% 50% ,20% 100%,20% 20% }
  80% {background-size: 20% 50% ,20% 50% ,20% 100%}
  100%{background-size: 20% 50% ,20% 50% ,20% 50% }
}

/*===================
SPEAKERS ARCHIVE
===================*/

.speaker-list .gb-query-loop-wrapper{
	flex-wrap:unset;
}

.speaker-grid-item figure.gb-block-image{
	overflow:hidden;
}